<script lang="ts">
  import Card from '$lib/components/cards/Card.svelte';

  export let name: string,
    // position: string,
    phone: string,
    email: string,
    ssa: any;
</script>

<Card bordered>
    <h2 class="text-2xl font-bold font-serif">{name}</h2>
    {#if ssa}
        <p class="text-neutral-600">{ssa.name}</p>
    {/if}
    <a href="tel:{phone}" class="block cursor-pointer hover:underline decoration-2 decoration-blue-700">{phone}</a>
    <a href="mailto:{email}" class="block cursor-pointer hover:underline decoration-2 decoration-blue-700">{email}</a>
</Card>